/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef METKIT_ecbuild_config_h
#define METKIT_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.8.5"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.8.5"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/usr/share/ecbuild/cmake"
#endif

/* config info */

#define METKIT_OS_NAME          "Linux-6.1.0-25-arm64"
#define METKIT_OS_BITS          64
#define METKIT_OS_BITS_STR      "64"
#define METKIT_OS_STR           "linux.64"
#define METKIT_OS_VERSION       "6.1.0-25-arm64"
#define METKIT_SYS_PROCESSOR    "aarch64"

#define METKIT_BUILD_TIMESTAMP  "20240913095927"
#define METKIT_BUILD_TYPE       "Release"

#define METKIT_C_COMPILER_ID      "GNU"
#define METKIT_C_COMPILER_VERSION "14.2.0"

#define METKIT_CXX_COMPILER_ID      "GNU"
#define METKIT_CXX_COMPILER_VERSION "14.2.0"

#define METKIT_C_COMPILER       "/usr/bin/cc"
#define METKIT_C_FLAGS          "-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/build/reproducible-path/metkit-1.11.19+ds=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -O3 -DNDEBUG"

#define METKIT_CXX_COMPILER     "/usr/bin/c++"
#define METKIT_CXX_FLAGS        "-g -O2 -ffile-prefix-map=/build/reproducible-path/metkit-1.11.19+ds=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -Wall -Wextra -Wno-unused-parameter -Wno-unused-variable -Wno-sign-compare -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define METKIT_INSTALL_DIR       "/usr"
#define METKIT_INSTALL_BIN_DIR   "/usr/bin"
#define METKIT_INSTALL_LIB_DIR   "/usr/lib/aarch64-linux-gnu"
#define METKIT_INSTALL_DATA_DIR  "/usr/share/metkit"

#define METKIT_DEVELOPER_SRC_DIR "/build/reproducible-path/metkit-1.11.19+ds"
#define METKIT_DEVELOPER_BIN_DIR "/build/reproducible-path/metkit-1.11.19+ds/obj-aarch64-linux-gnu"

/* Fortran support */

#if 0

#define METKIT_Fortran_COMPILER_ID      ""
#define METKIT_Fortran_COMPILER_VERSION ""

#define METKIT_Fortran_COMPILER ""
#define METKIT_Fortran_FLAGS    ""

#endif

#endif /* METKIT_ecbuild_config_h */
